public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-libs/libnotify/
Date: Fri, 20 Oct 2023 13:14:52 +0000 (UTC)	[thread overview]
Message-ID: <1697807676.249ea33f0d34c94ea0b1e42c960962f07708c8f1.pacho@gentoo> (raw)

commit:     249ea33f0d34c94ea0b1e42c960962f07708c8f1
Author:     Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Tue Oct 10 18:36:32 2023 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri Oct 20 13:14:36 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=249ea33f

x11-libs/libnotify: Version bump to 0.8.3

Add introspection USE dependency for x11-libs/gdk-pixbuf

Closes: https://bugs.gentoo.org/906048
Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/33286
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 x11-libs/libnotify/Manifest               |  1 +
 x11-libs/libnotify/libnotify-0.8.3.ebuild | 71 +++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/x11-libs/libnotify/Manifest b/x11-libs/libnotify/Manifest
index 2756a209ea90..e43dd1a98565 100644
--- a/x11-libs/libnotify/Manifest
+++ b/x11-libs/libnotify/Manifest
@@ -1 +1,2 @@
 DIST libnotify-0.8.2.tar.xz 105912 BLAKE2B d014d01e624a072a1a4e60d8606833e790fc9b47a93229486a7c7860d3d90eaae6bcf3f4f78599db8b2c0ed3d35569a1b20d8a8deb08c8fa5be98330b1205f60 SHA512 c9eb0630520382228237ae914654e27ba973efe29a27d040c2462016bd3e0704889aabc5d04d51906951cd404d7edd64262860b7636afd03dd76dedcf1f77cae
+DIST libnotify-0.8.3.tar.xz 106008 BLAKE2B 05852c866dc91d42cf01804333605ecb546f7d779b143fabc341752263c8cacea9acda40bb60af90dbc84ab8327ba99966e09924ccc337f7a97909b95d39a874 SHA512 e55073fdf418a4c04375825221edc92ab6a01201b83db2a1f1530f8f91f7da9da32327452b0785251790553517dcc717cfe623142450691b7dd247ec9164cffb

diff --git a/x11-libs/libnotify/libnotify-0.8.3.ebuild b/x11-libs/libnotify/libnotify-0.8.3.ebuild
new file mode 100644
index 000000000000..46c43571f49a
--- /dev/null
+++ b/x11-libs/libnotify/libnotify-0.8.3.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org meson-multilib xdg-utils
+
+DESCRIPTION="A library for sending desktop notifications"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/libnotify"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="gtk-doc +introspection test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="gtk-doc? ( introspection )"
+
+RDEPEND="
+	>=dev-libs/glib-2.62:2[${MULTILIB_USEDEP}]
+	x11-libs/gdk-pixbuf:2[introspection?,${MULTILIB_USEDEP}]
+	introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	>=dev-libs/gobject-introspection-common-1.32
+	dev-util/glib-utils
+	virtual/pkgconfig
+	app-text/docbook-xsl-ns-stylesheets
+	dev-libs/libxslt
+	gtk-doc? (
+		dev-util/gi-docgen
+		app-text/docbook-xml-dtd:4.1.2
+	)
+	test? ( x11-libs/gtk+:3[${MULTILIB_USEDEP}] )
+"
+IDEPEND="app-eselect/eselect-notify-send"
+PDEPEND="virtual/notification-daemon"
+
+src_prepare() {
+	default
+	xdg_environment_reset
+}
+
+multilib_src_configure() {
+	local emesonargs=(
+		$(meson_use test tests)
+		$(meson_native_use_feature introspection)
+		$(meson_native_use_bool gtk-doc gtk_doc)
+		-Ddocbook_docs=disabled
+	)
+	meson_src_configure
+}
+
+multilib_src_install_all() {
+	mv "${ED}"/usr/bin/{,libnotify-}notify-send || die #379941
+
+	einstalldocs
+
+	if use gtk-doc; then
+		mkdir -p "${ED}"/usr/share/gtk-doc/ || die
+		mv "${ED}"/usr/share/{doc,gtk-doc}/libnotify-0 || die
+	fi
+}
+
+pkg_postinst() {
+	eselect notify-send update ifunset
+}
+
+pkg_postrm() {
+	eselect notify-send update ifunset
+}


             reply	other threads:[~2023-10-20 13:14 UTC|newest]

Thread overview: 86+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-10-20 13:14 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-05 18:12 [gentoo-commits] repo/gentoo:master commit in: x11-libs/libnotify/ Pacho Ramos
2025-03-05 18:12 Pacho Ramos
2024-01-08 17:24 Mart Raudsepp
2024-01-08 16:14 Sam James
2023-11-13 19:53 Sam James
2023-11-01 12:23 Arthur Zamarin
2023-10-30  4:30 Sam James
2023-10-30  4:30 Sam James
2023-10-30  4:30 Sam James
2023-10-29 22:53 Sam James
2023-04-02  0:57 Matt Turner
2023-04-01 19:03 Arthur Zamarin
2023-04-01 19:01 Arthur Zamarin
2023-03-31 12:04 Arthur Zamarin
2023-03-30 17:44 Arthur Zamarin
2023-02-18  2:40 Matt Turner
2022-10-31 20:31 Matt Turner
2022-10-14 14:29 Matt Turner
2022-09-30 18:37 Arthur Zamarin
2022-09-28 16:29 Arthur Zamarin
2022-09-28 16:29 Arthur Zamarin
2022-09-19  1:38 Sam James
2022-09-12 16:01 Sam James
2022-09-12 16:00 Sam James
2022-07-21  2:04 Matt Turner
2022-07-21  0:13 Sam James
2022-07-18 17:44 Sam James
2022-07-18  2:17 Matt Turner
2022-07-16 21:28 Matt Turner
2022-06-28  2:03 WANG Xuerui
2022-05-31 18:24 Matt Turner
2022-05-05 21:47 Matt Turner
2022-05-03 19:00 Matt Turner
2021-09-09  7:39 Agostino Sarubbo
2021-09-09  7:17 Agostino Sarubbo
2021-09-08  0:46 Sam James
2021-09-08  0:46 Sam James
2021-09-08  0:46 Sam James
2021-09-08  0:42 Sam James
2021-09-07 17:00 Sam James
2021-07-02 15:55 Mike Gilbert
2021-06-04  1:14 Matt Turner
2021-05-27 14:34 Yixun Lan
2020-09-07  8:47 Sergei Trofimovich
2020-09-05  1:25 Sam James
2020-09-01  2:02 Sam James
2020-09-01  0:30 Sam James
2020-08-31 23:35 Sam James
2020-08-31 17:13 Thomas Deutschmann
2020-08-31  0:58 Sam James
2020-04-26  1:54 Matt Turner
2019-12-25 21:37 Mart Raudsepp
2019-12-25 21:37 Mart Raudsepp
2019-12-09  3:05 Matt Turner
2019-12-02 10:52 Mikle Kolyada
2019-11-20 11:35 Agostino Sarubbo
2019-11-20 11:27 Agostino Sarubbo
2019-11-20 11:21 Agostino Sarubbo
2019-11-19 12:48 Agostino Sarubbo
2019-11-16 21:02 Aaron Bauman
2019-11-16 10:34 Sergei Trofimovich
2019-11-15  9:51 Agostino Sarubbo
2019-05-20 20:05 Aaron Bauman
2019-04-15 21:19 Lars Wendler
2018-11-17 18:12 Gilles Dartiguelongue
2018-11-17 18:12 Gilles Dartiguelongue
2018-10-07 13:36 Mike Gilbert
2018-10-03  3:23 Mike Gilbert
2017-07-07 10:12 Agostino Sarubbo
2017-06-12 10:07 Mart Raudsepp
2017-04-22 17:53 Tobias Klausmann
2017-04-01 16:31 Agostino Sarubbo
2017-04-01 13:16 Agostino Sarubbo
2017-03-29  7:45 Michael Weber
2017-03-28 15:09 Michael Weber
2017-03-28 14:59 Michael Weber
2017-01-29 21:11 Fabian Groffen
2016-10-15 23:36 Gilles Dartiguelongue
2016-10-15 21:34 Manuel Rüger
2016-09-29 15:51 Michael Palimaka
2016-03-04  8:13 Stephen Klimaszewski
2016-02-28 11:09 Pacho Ramos
2016-02-28 11:09 Pacho Ramos
2016-02-28 11:09 Pacho Ramos
2016-02-25 23:02 Andreas Hüttel

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1697807676.249ea33f0d34c94ea0b1e42c960962f07708c8f1.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox